%if 0%{?rhel} && 0%{?rhel} <= 7
%global with_python3 0
%else
%global with_python3 1
%endif

Summary:	LZO bindings for Python
Name:		python-lzo
Version:	1.09
Release:	10%{?dist}
Source0:	https://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
URL:		http://www.oberhumer.com/opensource/lzo/
License:	GPLv2+
Group:		Development/Languages
BuildRequires:	python2-setuptools
BuildRequires:	python2-devel
BuildRequires:  lzo-devel
%if 0%{?with_python3}
BuildRequires:	python3-setuptools
BuildRequires:	python3-devel
%endif

%global _description\
Python-LZO provides Python bindings for the LZO data compression library.

%description %_description

%package -n python2-lzo
Summary: %summary
Provides: python2-lzo
%{?python_provide:%python_provide python2-lzo}

%description -n python2-lzo %_description

%if 0%{?with_python3}
%package -n python3-lzo
Summary:	LZO bindings for Python3
Group:		Development/Languages

%description -n python3-lzo
Python3-LZO provides Python3 bindings for the LZO data compression library.
%endif # with_python3

%prep
%setup -q

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root=%{buildroot}
popd
%endif # with_python3

%check
pushd tests/
PYTHONPATH=%{buildroot}/%{python2_sitearch} %{__python2} ./test.py
popd

%if 0%{?with_python3}
pushd %{py3dir}/tests
PYTHONPATH=%{buildroot}/%{python3_sitearch} %{__python3} ./test.py
popd
%endif

%files -n python2-lzo
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc NEWS
%{python2_sitearch}/*

%if 0%{?with_python3}
%files -n python3-lzo
%license COPYING
%{python3_sitearch}/*
%endif

%changelog
* Wed Feb 14 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.09-10
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.09-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.09-8
- Python 2 binary package renamed to python2-lzo
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.09-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.09-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.09-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.09-4
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.09-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.09-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Dec  6 2015 Toshio Kuratomi <toshio@fedoraproject.org> - 1.09-1
- Update to 1.09 and include python3 subpackage

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.08-8
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Jan 7 2010 Huzaifa Sidhpurwala <huzaifas@fedoraproject.org> - 1.08-7
- Accommodate for changes in rpm in rawhide

* Thu Jan 7 2010 Huzaifa Sidhpurwala <huzaifas@fedoraproject.org> - 1.08-6
- Update sources to patch with upstream

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.08-3
- Rebuild for Python 2.6

* Fri Apr 4 2008 Huzaifa Sidhpurwala <huzaifas@fedoraproject.org> - 1.08-2
- Made changes so that it builds on f9 
- A couple of other changes to spec file to make it more complaint with pkg standards

* Thu Apr 3 2008 Huzaifa Sidhpurwala <huzaifas@fedoraproject.org> - 1.08-1
- Initial rebuild from Mandriva (Per Øyvind Karlsen <pkarlsen@mandriva.com>)
